Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC

Bug 596078

Summary: dev-cpp/pficommon-1.3.1.0 : ../.../server.cpp:164:33: error: template argument 1 is invalid
Product: Gentoo Linux Reporter: Toralf Förster <toralf>
Component: Current packagesAssignee: Naohiro Aota <naota>
Status: RESOLVED FIXED    
Severity: normal CC: plevine457, treecleaner
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 582084    
Attachments: dev-cpp:pficommon-1.3.1.0:20161003-181724.log
emerge-history.txt
environment
pficommon-1.3.1.0-gcc6.patch

Description Toralf Förster gentoo-dev 2016-10-03 18:24:00 UTC
                            ^~~~~~~~
../src/network/cgi/server.cpp: In member function ‘void pfi::network::cgi::run_server::run(bool)’:
../src/network/cgi/server.cpp:164:33: error: template argument 1 is invalid
   ths=vector<shared_ptr<thread> >(thread_num);
                                 ^


$ cat emerge-info.txt
  -----------------------------------------------------------------

  This is an unstable amd64 chroot image (named amd64-hardened-no-multilib-libressl-unstable_20161001-163101) at a hardened host acting as a tinderbox.

  -----------------------------------------------------------------
  USE flags ...

  ... in make.conf:
USE="  -openssl -gnutls libressl pax_kernel xtpax -cdinstall -oci8 -bindist ssp alisp apache2 bzip2 -custom-optimization dec_av2 dot dvb eglfs ext4 gles gles2 gudev gui havege -hpn ibus imap inifile isag libinput lvm mad -mod mp3 mp4 mpeg -mpi multimedia ncurses nscd obj ogg openexr opengl policykit printsupport pulseaudio scrypt server -smime sql -sqlite sqlite3 sslv2 system-ffmpeg system-harfbuzz system-libs szip tk uml uxa vala vdpau vlc wav wma x265 xinetd xvfb -xz zlib"

  ... in /etc/portage/package.use/*:
  mail-mta/ssmtp      ssl mta
  net-misc/wget       ssl
  app-crypt/pinentry  -qt4
  app-editors/emacs   -dbus -svg -ssl -gtk -gtk3
  app-text/xmlto      -latex
  dev-libs/boehm-gc   threads
  dev-libs/libpcre    pcre16
  dev-lang/python     threads
  dev-qt/qtgui        egl eglfs
  net-nds/openldap    -sasl
  dev-util/cmake      -qt4 -qt5
  dev-vcs/git         -perl
  media-libs/mesa     -vaapi
  sys-apps/kmod       tools
  net-misc/iputils -caps -filecaps
  dev-db/mysql-connector-c  -ssl
  dev-lang/python           -tk
  dev-qt/qtsql              -mysql
  mail-mta/ssmtp            libressl -gnutls

  entries in /etc/portage/package.unmask/*:
  ~dev-libs/boost-1.62.0
  ~dev-util/boost-build-1.62.0
  ~sys-apps/sandbox-2.11
  sys-devel/gcc:6.2.0
  -----------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-4.9.3
 [2] x86_64-pc-linux-gnu-4.9.3-hardenednopie
 [3] x86_64-pc-linux-gnu-4.9.3-hardenednopiessp
 [4] x86_64-pc-linux-gnu-4.9.3-hardenednossp
 [5] x86_64-pc-linux-gnu-4.9.3-vanilla
 [6] x86_64-pc-linux-gnu-6.2.0 *
llvm-config --version:
3.8.1

Available Python interpreters, in order of preference:
  [1]   python3.4
  [2]   python2.7 (fallback)

  -----------------------------------------------------------------

Portage 2.3.1 (python 3.4.5-final-0, hardened/linux/amd64/no-multilib, gcc-6.2.0, glibc-2.23-r2, 4.7.6-hardened x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.7.6-hardened-x86_64-Intel-R-_Core-TM-_i7-3930K_CPU_@_3.20GHz-with-gentoo-2.3
KiB Mem:    65285480 total,   6030396 free
KiB Swap:   67108860 total,  67106488 free
Timestamp of repository gentoo: Mon, 03 Oct 2016 16:11:16 +0000
sh bash 4.4
ld GNU ld (Gentoo 2.25.1 p1.1) 2.25.1
distcc 3.2rc1 x86_64-pc-linux-gnu [disabled]
app-shells/bash:          4.4::gentoo
dev-lang/perl:            5.24.0-r1::gentoo
dev-lang/python:          2.7.12::gentoo, 3.4.5::gentoo
dev-util/cmake:           3.6.2::gentoo
dev-util/pkgconfig:       0.29.1::gentoo
sys-apps/baselayout:      2.3::gentoo
sys-apps/openrc:          0.22.1::gentoo
sys-apps/sandbox:         2.11-r2::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r2::gentoo
sys-devel/automake:       1.11.6-r2::gentoo, 1.13.4-r1::gentoo, 1.14.1-r1::gentoo, 1.15-r2::gentoo
sys-devel/binutils:       2.25.1-r1::gentoo, 2.26.1::gentoo
sys-devel/gcc:            4.9.3::gentoo, 6.2.0-r1::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r2::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.7::gentoo (virtual/os-headers)
sys-libs/glibc:           2.23-r2::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: 1

local
    location: /usr/local/portage
    masters: gentoo
    priority: 2

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/var/tmp/distfiles"
EMERGE_DEFAULT_OPTS="--verbose --verbose-conflicts --color=n --nospinner --tree --quiet-build"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync network-sandbox parallel-fetch preserve-libs protect-owned sandbox sfperms strict test-fail-continue unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://ftp.uni-erlangen.de/pub/mirrors/gentoo rsync://mirror.netcologne.de/gentoo/ ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gor.bytemark.co.uk/gentoo/ rsync://ftp.snt.utwente.nl/gentoo"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j1"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="acl alisp amd64 apache2 berkdb bzip2 cli cracklib crypt cxx dec_av2 dot dri dvb eglfs ext4 gdbm gles gles2 gudev gui hardened havege ibus iconv imap inifile ipv6 isag justify libinput libressl lvm mad mmx mmxext modules mp3 mp4 mpeg multimedia ncurses nls nptl nscd obj ogg openexr opengl openmp pam pax_kernel pcre pie policykit printsupport pulseaudio readline scrypt seccomp server session sql sqlite3 sse sse2 ssl sslv2 ssp system-ffmpeg system-harfbuzz system-libs szip tcpd tk uml unicode urandom uxa vala vdpau vlc wav wma x265 xattr xinetd xtpax xvfb zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" CURL_SSL="libressl" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" L10N="ss tr" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4" RUBY_TARGETS="ruby20 ruby21" USERLAND="GNU" VIDEO_CARDS="amdgpu fbdev intel nouveau radeon radeonsi vesa dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Toralf Förster gentoo-dev 2016-10-03 18:24:06 UTC
Created attachment 449022 [details]
dev-cpp:pficommon-1.3.1.0:20161003-181724.log
Comment 2 Toralf Förster gentoo-dev 2016-10-03 18:24:09 UTC
Created attachment 449024 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2016-10-03 18:24:12 UTC
Created attachment 449026 [details]
environment
Comment 4 Peter Levine 2016-10-04 00:05:41 UTC
Created attachment 449058 [details, diff]
pficommon-1.3.1.0-gcc6.patch
Comment 5 Peter Levine 2017-10-11 04:25:41 UTC
(In reply to Peter Levine from comment #4)
> Created attachment 449058 [details, diff] [details, diff]
> pficommon-1.3.1.0-gcc6.patch

Actually, it seems to have been fixed back in 2012 with https://github.com/retrieva/pficommon/commit/edf328a4741d7eb0107143cfcfe1fb37a14c90f5.  The patch would be over 24KB so it would be better to version bump to 2.0.0 instead.
Comment 6 Larry the Git Cow gentoo-dev 2018-01-26 23:31:43 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ebc2e81a53bd9d7af6da1a9abdd067f6e847b71d

commit ebc2e81a53bd9d7af6da1a9abdd067f6e847b71d
Author:     Mikle Kolyada <zlogene@gentoo.org>
AuthorDate: 2018-01-26 23:26:45 +0000
Commit:     Mikle Kolyada <zlogene@gentoo.org>
CommitDate: 2018-01-26 23:31:31 +0000

    dev-cpp/pficommon: remove last rited package
    
    Closes: https://bugs.gentoo.org/514400
    Closes: https://bugs.gentoo.org/596078
    Closes: https://bugs.gentoo.org/598609
    Closes: https://bugs.gentoo.org/640096
    Closes: https://bugs.gentoo.org/641428

 dev-cpp/pficommon/Manifest                         |   1 -
 .../files/pficommon-1.3.1.0-gcc-4.7.patch          |  50 ---
 .../pficommon/files/pficommon-1.3.1.0-gcc6.patch   | 350 ---------------------
 .../pficommon/files/pficommon-1.3.1.0-libdir.patch |  49 ---
 .../files/pficommon-1.3.1.0-postgresql.patch       |  13 -
 .../pficommon/files/pficommon-1.3.1.0-soname.patch | 200 ------------
 dev-cpp/pficommon/metadata.xml                     |  14 -
 dev-cpp/pficommon/pficommon-1.3.1.0.ebuild         |  58 ----
 8 files changed, 735 deletions(-)